Bug 1796347 - [RFE] - AWS: Remove installer IAM permissions pre-check for UPI deployments
Summary: [RFE] - AWS: Remove installer IAM permissions pre-check for UPI deployments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Patrick Dillon
QA Contact: Johnny Liu
URL:
Whiteboard:
: 1800329 (view as bug list)
Depends On:
Blocks: 1801446
TreeView+ depends on / blocked
 
Reported: 2020-01-30 08:52 UTC by Gabriel Stein
Modified: 2020-05-13 21:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1801446 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:55:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3089 None closed Bug 1796347: Move permissions check to cluster asset 2020-07-29 06:14:18 UTC
Red Hat Knowledge Base (Solution) 4775281 None None None 2020-01-30 08:54:44 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:55:38 UTC

Comment 1 Abhinav Dahiya 2020-02-06 21:23:35 UTC
*** Bug 1800329 has been marked as a duplicate of this bug. ***

Comment 3 Johnny Liu 2020-02-13 06:56:55 UTC
Verified this bug with 4.4.0-0.nightly-2020-02-12-235629, and PASS.

# openshift-install create ignition-configs --dir demo5 --log-level debug
DEBUG OpenShift Installer 4.4.0-0.nightly-2020-02-12-235629 
DEBUG Built from commit 1a950fe64c08f1934c373990020283ac8525f8c8 
DEBUG Fetching Kubeconfig Admin Client...          
DEBUG Loading Kubeconfig Admin Client...           
DEBUG   Loading Certificate (admin-kubeconfig-client)... 
DEBUG     Loading Certificate (admin-kubeconfig-signer)... 
DEBUG     Using Certificate (admin-kubeconfig-signer) loaded from state file 
DEBUG   Using Certificate (admin-kubeconfig-client) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG       Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG       Using Certificate (kube-apiserver-localhost-signer) loaded from state file 
DEBUG     Using Certificate (kube-apiserver-localhost-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-service-network-ca-bundle)... 
DEBUG       Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG       Using Certificate (kube-apiserver-service-network-signer) loaded from state file 
DEBUG     Using Certificate (kube-apiserver-service-network-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-lb-ca-bundle)... 
DEBUG       Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG       Using Certificate (kube-apiserver-lb-signer) loaded from state file 
DEBUG     Using Certificate (kube-apiserver-lb-ca-bundle) loaded from state file 
DEBUG   Using Certificate (kube-apiserver-complete-server-ca-bundle) loaded from state file 
DEBUG   Loading Install Config...                  
DEBUG     Loading SSH Key...                       
DEBUG     Loading Base Domain...                   
DEBUG       Loading Platform...                    
DEBUG     Loading Cluster Name...                  
DEBUG       Loading Base Domain...                 
DEBUG       Loading Platform...                    
DEBUG     Loading Pull Secret...                   
DEBUG     Loading Platform...                      
DEBUG   Loading Install Config from both state file and target directory 
DEBUG   On-disk Install Config matches asset in state file 
DEBUG   Using Install Config loaded from state file 
DEBUG Using Kubeconfig Admin Client loaded from state file 
DEBUG Reusing previously-fetched Kubeconfig Admin Client 
INFO Consuming Install Config from target directory 
DEBUG Purging asset "Install Config" from disk     
DEBUG Fetching Kubeadmin Password...               
DEBUG Loading Kubeadmin Password...                
DEBUG Using Kubeadmin Password loaded from state file 
DEBUG Reusing previously-fetched Kubeadmin Password 
DEBUG Fetching Master Ignition Config...           
DEBUG Loading Master Ignition Config...            
DEBUG   Loading Install Config...                  
DEBUG   Loading Root CA...                         
DEBUG   Using Root CA loaded from state file       
DEBUG Using Master Ignition Config loaded from state file 
DEBUG Reusing previously-fetched Master Ignition Config 
DEBUG Fetching Worker Ignition Config...           
DEBUG Loading Worker Ignition Config...            
DEBUG   Loading Install Config...                  
DEBUG   Loading Root CA...                         
DEBUG Using Worker Ignition Config loaded from state file 
DEBUG Reusing previously-fetched Worker Ignition Config 
DEBUG Fetching Bootstrap Ignition Config...        
DEBUG Loading Bootstrap Ignition Config...         
DEBUG   Loading Install Config...                  
DEBUG   Loading Kubeconfig Admin Internal Client... 
DEBUG     Loading Certificate (admin-kubeconfig-client)... 
DEBUG     Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG     Loading Install Config...                
DEBUG   Using Kubeconfig Admin Internal Client loaded from state file 
DEBUG   Loading Kubeconfig Kubelet...              
DEBUG     Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG     Loading Certificate (kubelet-client)...  
DEBUG       Loading Certificate (kubelet-bootstrap-kubeconfig-signer)... 
DEBUG       Using Certificate (kubelet-bootstrap-kubeconfig-signer) loaded from state file 
DEBUG     Using Certificate (kubelet-client) loaded from state file 
DEBUG     Loading Install Config...                
DEBUG   Using Kubeconfig Kubelet loaded from state file 
DEBUG   Loading Kubeconfig Admin Client (Loopback)... 
DEBUG     Loading Certificate (admin-kubeconfig-client)... 
DEBUG     Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG     Loading Install Config...                
DEBUG   Using Kubeconfig Admin Client (Loopback) loaded from state file 
DEBUG   Loading Master Machines...                 
DEBUG     Loading Cluster ID...                    
DEBUG       Loading Install Config...              
DEBUG     Using Cluster ID loaded from state file  
DEBUG     Loading Platform Credentials Check...    
DEBUG       Loading Install Config...              
DEBUG     Using Platform Credentials Check loaded from state file 
DEBUG     Loading Install Config...                
DEBUG     Loading Image...                         
DEBUG       Loading Install Config...              
DEBUG     Using Image loaded from state file       
DEBUG     Loading Master Ignition Config...        
DEBUG   Using Master Machines loaded from state file 
DEBUG   Loading Worker Machines...                 
DEBUG     Loading Cluster ID...                    
DEBUG     Loading Platform Credentials Check...    
DEBUG     Loading Install Config...                
DEBUG     Loading Image...                         
DEBUG     Loading Worker Ignition Config...        
DEBUG   Using Worker Machines loaded from state file 
DEBUG   Loading Common Manifests...                
DEBUG     Loading Cluster ID...                    
DEBUG     Loading Install Config...                
DEBUG     Loading Ingress Config...                
DEBUG       Loading Install Config...              
DEBUG     Using Ingress Config loaded from state file 
DEBUG     Loading DNS Config...                    
DEBUG       Loading Install Config...              
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Platform Credentials Check...  
DEBUG     Using DNS Config loaded from state file  
DEBUG     Loading Infrastructure Config...         
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Install Config...              
DEBUG       Loading Cloud Provider Config...       
DEBUG         Loading Install Config...            
DEBUG         Loading Cluster ID...                
DEBUG         Loading Platform Credentials Check... 
DEBUG       Using Cloud Provider Config loaded from state file 
DEBUG       Loading Additional Trust Bundle Config... 
DEBUG         Loading Install Config...            
DEBUG       Using Additional Trust Bundle Config loaded from state file 
DEBUG     Using Infrastructure Config loaded from state file 
DEBUG     Loading Network Config...                
DEBUG       Loading Install Config...              
DEBUG       Loading Network CRDs...                
DEBUG       Using Network CRDs loaded from state file 
DEBUG     Using Network Config loaded from state file 
DEBUG     Loading Proxy Config...                  
DEBUG       Loading Install Config...              
DEBUG       Loading Network Config...              
DEBUG     Using Proxy Config loaded from state file 
DEBUG     Loading Scheduler Config...              
DEBUG       Loading Install Config...              
DEBUG     Using Scheduler Config loaded from state file 
DEBUG     Loading Image Content Source Policy...   
DEBUG       Loading Install Config...              
DEBUG     Using Image Content Source Policy loaded from state file 
DEBUG     Loading Root CA...                       
DEBUG     Loading Certificate (etcd-signer)...     
DEBUG     Using Certificate (etcd-signer) loaded from state file 
DEBUG     Loading Certificate (etcd-ca-bundle)...  
DEBUG       Loading Certificate (etcd-signer)...   
DEBUG     Using Certificate (etcd-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (etcd-client)...     
DEBUG       Loading Certificate (etcd-signer)...   
DEBUG     Using Certificate (etcd-client) loaded from state file 
DEBUG     Loading Certificate (etcd-metric-ca-bundle)... 
DEBUG       Loading Certificate (etcd-metric-signer)... 
DEBUG       Using Certificate (etcd-metric-signer) loaded from state file 
DEBUG     Using Certificate (etcd-metric-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (etcd-metric-signer)... 
DEBUG     Loading Certificate (etcd-metric-signer-client)... 
DEBUG       Loading Certificate (etcd-metric-signer)... 
DEBUG     Using Certificate (etcd-metric-signer-client) loaded from state file 
DEBUG     Loading Certificate (mcs)...             
DEBUG       Loading Root CA...                     
DEBUG       Loading Install Config...              
DEBUG     Using Certificate (mcs) loaded from state file 
DEBUG     Loading CVOOverrides...                  
DEBUG     Using CVOOverrides loaded from state file 
DEBUG     Loading EtcdCAConfigMap...               
DEBUG     Using EtcdCAConfigMap loaded from state file 
DEBUG     Loading EtcdClientSecret...              
DEBUG     Using EtcdClientSecret loaded from state file 
DEBUG     Loading EtcdHostServiceEndpoints...      
DEBUG     Using EtcdHostServiceEndpoints loaded from state file 
DEBUG     Loading EtcdHostService...               
DEBUG     Using EtcdHostService loaded from state file 
DEBUG     Loading EtcdMetricClientSecret...        
DEBUG     Using EtcdMetricClientSecret loaded from state file 
DEBUG     Loading EtcdMetricServingCAConfigMap...  
DEBUG     Using EtcdMetricServingCAConfigMap loaded from state file 
DEBUG     Loading EtcdMetricSignerSecret...        
DEBUG     Using EtcdMetricSignerSecret loaded from state file 
DEBUG     Loading EtcdNamespace...                 
DEBUG     Using EtcdNamespace loaded from state file 
DEBUG     Loading EtcdService...                   
DEBUG     Using EtcdService loaded from state file 
DEBUG     Loading EtcdSignerSecret...              
DEBUG     Using EtcdSignerSecret loaded from state file 
DEBUG     Loading KubeCloudConfig...               
DEBUG     Using KubeCloudConfig loaded from state file 
DEBUG     Loading EtcdServingCAConfigMap...        
DEBUG     Using EtcdServingCAConfigMap loaded from state file 
DEBUG     Loading KubeSystemConfigmapRootCA...     
DEBUG     Using KubeSystemConfigmapRootCA loaded from state file 
DEBUG     Loading MachineConfigServerTLSSecret...  
DEBUG     Using MachineConfigServerTLSSecret loaded from state file 
DEBUG     Loading OpenshiftConfigSecretPullSecret... 
DEBUG     Using OpenshiftConfigSecretPullSecret loaded from state file 
DEBUG     Loading OpenshiftMachineConfigOperator... 
DEBUG     Using OpenshiftMachineConfigOperator loaded from state file 
DEBUG   Using Common Manifests loaded from state file 
DEBUG   Loading Openshift Manifests...             
DEBUG     Loading Install Config...                
DEBUG     Loading Cluster ID...                    
DEBUG     Loading Kubeadmin Password...            
DEBUG     Loading OpenShift Install (Manifests)... 
DEBUG     Using OpenShift Install (Manifests) loaded from state file 
DEBUG     Loading CloudCredsSecret...              
DEBUG     Using CloudCredsSecret loaded from state file 
DEBUG     Loading KubeadminPasswordSecret...       
DEBUG     Using KubeadminPasswordSecret loaded from state file 
DEBUG     Loading RoleCloudCredsSecretReader...    
DEBUG     Using RoleCloudCredsSecretReader loaded from state file 
DEBUG     Loading Private Cluster Outbound Service... 
DEBUG     Using Private Cluster Outbound Service loaded from state file 
DEBUG     Loading Baremetal Config CR...           
DEBUG     Using Baremetal Config CR loaded from state file 
DEBUG     Loading Image...                         
DEBUG   Using Openshift Manifests loaded from state file 
DEBUG   Loading Proxy Config...                    
DEBUG   Loading Certificate (admin-kubeconfig-ca-bundle)... 
DEBUG     Loading Certificate (admin-kubeconfig-signer)... 
DEBUG   Using Certificate (admin-kubeconfig-ca-bundle) loaded from state file 
DEBUG   Loading Certificate (aggregator)...        
DEBUG   Using Certificate (aggregator) loaded from state file 
DEBUG   Loading Certificate (aggregator-ca-bundle)... 
DEBUG     Loading Certificate (aggregator-signer)... 
DEBUG     Using Certificate (aggregator-signer) loaded from state file 
DEBUG   Using Certificate (aggregator-ca-bundle) loaded from state file 
DEBUG   Loading Certificate (system:kube-apiserver-proxy)... 
DEBUG     Loading Certificate (aggregator-signer)... 
DEBUG   Using Certificate (system:kube-apiserver-proxy) loaded from state file 
DEBUG   Loading Certificate (aggregator-signer)... 
DEBUG   Loading Certificate (system:kube-apiserver-proxy)... 
DEBUG     Loading Certificate (aggregator)...      
DEBUG   Using Certificate (system:kube-apiserver-proxy) loaded from state file 
DEBUG   Loading Certificate (etcd-ca-bundle)...    
DEBUG   Loading Certificate (etcd-metric-ca-bundle)... 
DEBUG   Loading Certificate (etcd-metric-signer)... 
DEBUG   Loading Certificate (etcd-metric-signer-client)... 
DEBUG   Loading Certificate (etcd-signer)...       
DEBUG   Loading Certificate (etcd-client)...       
DEBUG   Loading Certificate (journal-gatewayd)...  
DEBUG     Loading Root CA...                       
DEBUG   Using Certificate (journal-gatewayd) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-lb-ca-bundle)... 
DEBUG   Loading Certificate (kube-apiserver-external-lb-server)... 
DEBUG     Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG     Loading Install Config...                
DEBUG   Using Certificate (kube-apiserver-external-lb-server) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-internal-lb-server)... 
DEBUG     Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG     Loading Install Config...                
DEBUG   Using Certificate (kube-apiserver-internal-lb-server) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG   Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG   Loading Certificate (kube-apiserver-localhost-server)... 
DEBUG     Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG   Using Certificate (kube-apiserver-localhost-server) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG   Loading Certificate (kube-apiserver-service-network-ca-bundle)... 
DEBUG   Loading Certificate (kube-apiserver-service-network-server)... 
DEBUG     Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG     Loading Install Config...                
DEBUG   Using Certificate (kube-apiserver-service-network-server) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG   Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG   Loading Certificate (kube-apiserver-complete-client-ca-bundle)... 
DEBUG     Loading Certificate (admin-kubeconfig-ca-bundle)... 
DEBUG     Loading Certificate (kubelet-client-ca-bundle)... 
DEBUG       Loading Certificate (kubelet-signer)... 
DEBUG       Using Certificate (kubelet-signer) loaded from state file 
DEBUG     Using Certificate (kubelet-client-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kube-control-plane-ca-bundle)... 
DEBUG       Loading Certificate (kube-control-plane-signer)... 
DEBUG       Using Certificate (kube-control-plane-signer) loaded from state file 
DEBUG       Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG       Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG       Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG     Using Certificate (kube-control-plane-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-to-kubelet-ca-bundle)... 
DEBUG       Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG       Using Certificate (kube-apiserver-to-kubelet-signer) loaded from state file 
DEBUG     Using Certificate (kube-apiserver-to-kubelet-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)... 
DEBUG       Loading Certificate (kubelet-bootstrap-kubeconfig-signer)... 
DEBUG     Using Certificate (kubelet-bootstrap-kubeconfig-ca-bundle) loaded from state file 
DEBUG   Using Certificate (kube-apiserver-complete-client-ca-bundle) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-to-kubelet-ca-bundle)... 
DEBUG   Loading Certificate (kube-apiserver-to-kubelet-client)... 
DEBUG     Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG   Using Certificate (kube-apiserver-to-kubelet-client) loaded from state file 
DEBUG   Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG   Loading Certificate (kube-control-plane-ca-bundle)... 
DEBUG   Loading Certificate (kube-control-plane-kube-controller-manager-client)... 
DEBUG     Loading Certificate (kube-control-plane-signer)... 
DEBUG   Using Certificate (kube-control-plane-kube-controller-manager-client) loaded from state file 
DEBUG   Loading Certificate (kube-control-plane-kube-scheduler-client)... 
DEBUG     Loading Certificate (kube-control-plane-signer)... 
DEBUG   Using Certificate (kube-control-plane-kube-scheduler-client) loaded from state file 
DEBUG   Loading Certificate (kube-control-plane-signer)... 
DEBUG   Loading Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)... 
DEBUG   Loading Certificate (kubelet-client-ca-bundle)... 
DEBUG   Loading Certificate (kubelet-client)...    
DEBUG   Loading Certificate (kubelet-signer)...    
DEBUG   Loading Certificate (kubelet-serving-ca-bundle)... 
DEBUG     Loading Certificate (kubelet-signer)...  
DEBUG   Using Certificate (kubelet-serving-ca-bundle) loaded from state file 
DEBUG   Loading Certificate (mcs)...               
DEBUG   Loading Root CA...                         
DEBUG   Loading Key Pair (service-account.pub)...  
DEBUG   Using Key Pair (service-account.pub) loaded from state file 
DEBUG   Loading Release Image Pull Spec...         
DEBUG   Using Release Image Pull Spec loaded from state file 
DEBUG   Loading Image...                           
DEBUG Using Bootstrap Ignition Config loaded from state file 
DEBUG Reusing previously-fetched Bootstrap Ignition Config 
DEBUG Fetching Metadata...                         
DEBUG Loading Metadata...                          
DEBUG   Loading Cluster ID...                      
DEBUG   Loading Install Config...                  
DEBUG Using Metadata loaded from state file        
DEBUG Reusing previously-fetched Metadata          

# openshift-install create cluster --dir demo5 --log-level debug
DEBUG OpenShift Installer 4.4.0-0.nightly-2020-02-12-235629 
DEBUG Built from commit 1a950fe64c08f1934c373990020283ac8525f8c8 
DEBUG Fetching Terraform Variables...              
DEBUG Loading Terraform Variables...               
DEBUG   Loading Cluster ID...                      
DEBUG     Loading Install Config...                
DEBUG       Loading SSH Key...                     
DEBUG       Loading Base Domain...                 
DEBUG         Loading Platform...                  
DEBUG       Loading Cluster Name...                
DEBUG         Loading Base Domain...               
DEBUG         Loading Platform...                  
DEBUG       Loading Pull Secret...                 
DEBUG       Loading Platform...                    
DEBUG     Using Install Config loaded from state file 
DEBUG   Using Cluster ID loaded from state file    
DEBUG   Loading Install Config...                  
DEBUG   Loading Image...                           
DEBUG     Loading Install Config...                
DEBUG   Using Image loaded from state file         
DEBUG   Loading BootstrapImage...                  
DEBUG     Loading Install Config...                
DEBUG   Loading Bootstrap Ignition Config...       
DEBUG     Loading Install Config...                
DEBUG     Loading Kubeconfig Admin Internal Client... 
DEBUG       Loading Certificate (admin-kubeconfig-client)... 
DEBUG         Loading Certificate (admin-kubeconfig-signer)... 
DEBUG         Using Certificate (admin-kubeconfig-signer) loaded from state file 
DEBUG       Using Certificate (admin-kubeconfig-client) loaded from state file 
DEBUG       Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG         Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG           Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG           Using Certificate (kube-apiserver-localhost-signer) loaded from state file 
DEBUG         Using Certificate (kube-apiserver-localhost-ca-bundle) loaded from state file 
DEBUG         Loading Certificate (kube-apiserver-service-network-ca-bundle)... 
DEBUG           Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG           Using Certificate (kube-apiserver-service-network-signer) loaded from state file 
DEBUG         Using Certificate (kube-apiserver-service-network-ca-bundle) loaded from state file 
DEBUG         Loading Certificate (kube-apiserver-lb-ca-bundle)... 
DEBUG           Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG           Using Certificate (kube-apiserver-lb-signer) loaded from state file 
DEBUG         Using Certificate (kube-apiserver-lb-ca-bundle) loaded from state file 
DEBUG       Using Certificate (kube-apiserver-complete-server-ca-bundle) loaded from state file 
DEBUG       Loading Install Config...              
DEBUG     Using Kubeconfig Admin Internal Client loaded from state file 
DEBUG     Loading Kubeconfig Kubelet...            
DEBUG       Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG       Loading Certificate (kubelet-client)... 
DEBUG         Loading Certificate (kubelet-bootstrap-kubeconfig-signer)... 
DEBUG         Using Certificate (kubelet-bootstrap-kubeconfig-signer) loaded from state file 
DEBUG       Using Certificate (kubelet-client) loaded from state file 
DEBUG       Loading Install Config...              
DEBUG     Using Kubeconfig Kubelet loaded from state file 
DEBUG     Loading Kubeconfig Admin Client (Loopback)... 
DEBUG       Loading Certificate (admin-kubeconfig-client)... 
DEBUG       Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG       Loading Install Config...              
DEBUG     Using Kubeconfig Admin Client (Loopback) loaded from state file 
DEBUG     Loading Master Machines...               
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Platform Credentials Check...  
DEBUG         Loading Install Config...            
DEBUG       Using Platform Credentials Check loaded from state file 
DEBUG       Loading Install Config...              
DEBUG       Loading Image...                       
DEBUG       Loading Master Ignition Config...      
DEBUG         Loading Install Config...            
DEBUG         Loading Root CA...                   
DEBUG         Using Root CA loaded from state file 
DEBUG       Loading Master Ignition Config from both state file and target directory 
DEBUG       On-disk Master Ignition Config matches asset in state file 
DEBUG       Using Master Ignition Config loaded from state file 
DEBUG     Using Master Machines loaded from state file 
DEBUG     Loading Worker Machines...               
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Platform Credentials Check...  
DEBUG       Loading Install Config...              
DEBUG       Loading Image...                       
DEBUG       Loading Worker Ignition Config...      
DEBUG         Loading Install Config...            
DEBUG         Loading Root CA...                   
DEBUG       Loading Worker Ignition Config from both state file and target directory 
DEBUG       On-disk Worker Ignition Config matches asset in state file 
DEBUG       Using Worker Ignition Config loaded from state file 
DEBUG     Using Worker Machines loaded from state file 
DEBUG     Loading Common Manifests...              
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Install Config...              
DEBUG       Loading Ingress Config...              
DEBUG         Loading Install Config...            
DEBUG       Using Ingress Config loaded from state file 
DEBUG       Loading DNS Config...                  
DEBUG         Loading Install Config...            
DEBUG         Loading Cluster ID...                
DEBUG         Loading Platform Credentials Check... 
DEBUG       Using DNS Config loaded from state file 
DEBUG       Loading Infrastructure Config...       
DEBUG         Loading Cluster ID...                
DEBUG         Loading Install Config...            
DEBUG         Loading Cloud Provider Config...     
DEBUG           Loading Install Config...          
DEBUG           Loading Cluster ID...              
DEBUG           Loading Platform Credentials Check... 
DEBUG         Using Cloud Provider Config loaded from state file 
DEBUG         Loading Additional Trust Bundle Config... 
DEBUG           Loading Install Config...          
DEBUG         Using Additional Trust Bundle Config loaded from state file 
DEBUG       Using Infrastructure Config loaded from state file 
DEBUG       Loading Network Config...              
DEBUG         Loading Install Config...            
DEBUG         Loading Network CRDs...              
DEBUG         Using Network CRDs loaded from state file 
DEBUG       Using Network Config loaded from state file 
DEBUG       Loading Proxy Config...                
DEBUG         Loading Install Config...            
DEBUG         Loading Network Config...            
DEBUG       Using Proxy Config loaded from state file 
DEBUG       Loading Scheduler Config...            
DEBUG         Loading Install Config...            
DEBUG       Using Scheduler Config loaded from state file 
DEBUG       Loading Image Content Source Policy... 
DEBUG         Loading Install Config...            
DEBUG       Using Image Content Source Policy loaded from state file 
DEBUG       Loading Root CA...                     
DEBUG       Loading Certificate (etcd-signer)...   
DEBUG       Using Certificate (etcd-signer) loaded from state file 
DEBUG       Loading Certificate (etcd-ca-bundle)... 
DEBUG         Loading Certificate (etcd-signer)... 
DEBUG       Using Certificate (etcd-ca-bundle) loaded from state file 
DEBUG       Loading Certificate (etcd-client)...   
DEBUG         Loading Certificate (etcd-signer)... 
DEBUG       Using Certificate (etcd-client) loaded from state file 
DEBUG       Loading Certificate (etcd-metric-ca-bundle)... 
DEBUG         Loading Certificate (etcd-metric-signer)... 
DEBUG         Using Certificate (etcd-metric-signer) loaded from state file 
DEBUG       Using Certificate (etcd-metric-ca-bundle) loaded from state file 
DEBUG       Loading Certificate (etcd-metric-signer)... 
DEBUG       Loading Certificate (etcd-metric-signer-client)... 
DEBUG         Loading Certificate (etcd-metric-signer)... 
DEBUG       Using Certificate (etcd-metric-signer-client) loaded from state file 
DEBUG       Loading Certificate (mcs)...           
DEBUG         Loading Root CA...                   
DEBUG         Loading Install Config...            
DEBUG       Using Certificate (mcs) loaded from state file 
DEBUG       Loading CVOOverrides...                
DEBUG       Using CVOOverrides loaded from state file 
DEBUG       Loading EtcdCAConfigMap...             
DEBUG       Using EtcdCAConfigMap loaded from state file 
DEBUG       Loading EtcdClientSecret...            
DEBUG       Using EtcdClientSecret loaded from state file 
DEBUG       Loading EtcdHostServiceEndpoints...    
DEBUG       Using EtcdHostServiceEndpoints loaded from state file 
DEBUG       Loading EtcdHostService...             
DEBUG       Using EtcdHostService loaded from state file 
DEBUG       Loading EtcdMetricClientSecret...      
DEBUG       Using EtcdMetricClientSecret loaded from state file 
DEBUG       Loading EtcdMetricServingCAConfigMap... 
DEBUG       Using EtcdMetricServingCAConfigMap loaded from state file 
DEBUG       Loading EtcdMetricSignerSecret...      
DEBUG       Using EtcdMetricSignerSecret loaded from state file 
DEBUG       Loading EtcdNamespace...               
DEBUG       Using EtcdNamespace loaded from state file 
DEBUG       Loading EtcdService...                 
DEBUG       Using EtcdService loaded from state file 
DEBUG       Loading EtcdSignerSecret...            
DEBUG       Using EtcdSignerSecret loaded from state file 
DEBUG       Loading KubeCloudConfig...             
DEBUG       Using KubeCloudConfig loaded from state file 
DEBUG       Loading EtcdServingCAConfigMap...      
DEBUG       Using EtcdServingCAConfigMap loaded from state file 
DEBUG       Loading KubeSystemConfigmapRootCA...   
DEBUG       Using KubeSystemConfigmapRootCA loaded from state file 
DEBUG       Loading MachineConfigServerTLSSecret... 
DEBUG       Using MachineConfigServerTLSSecret loaded from state file 
DEBUG       Loading OpenshiftConfigSecretPullSecret... 
DEBUG       Using OpenshiftConfigSecretPullSecret loaded from state file 
DEBUG       Loading OpenshiftMachineConfigOperator... 
DEBUG       Using OpenshiftMachineConfigOperator loaded from state file 
DEBUG     Using Common Manifests loaded from state file 
DEBUG     Loading Openshift Manifests...           
DEBUG       Loading Install Config...              
DEBUG       Loading Cluster ID...                  
DEBUG       Loading Kubeadmin Password...          
DEBUG       Using Kubeadmin Password loaded from state file 
DEBUG       Loading OpenShift Install (Manifests)... 
DEBUG       Using OpenShift Install (Manifests) loaded from state file 
DEBUG       Loading CloudCredsSecret...            
DEBUG       Using CloudCredsSecret loaded from state file 
DEBUG       Loading KubeadminPasswordSecret...     
DEBUG       Using KubeadminPasswordSecret loaded from state file 
DEBUG       Loading RoleCloudCredsSecretReader...  
DEBUG       Using RoleCloudCredsSecretReader loaded from state file 
DEBUG       Loading Private Cluster Outbound Service... 
DEBUG       Using Private Cluster Outbound Service loaded from state file 
DEBUG       Loading Baremetal Config CR...         
DEBUG       Using Baremetal Config CR loaded from state file 
DEBUG       Loading Image...                       
DEBUG     Using Openshift Manifests loaded from state file 
DEBUG     Loading Proxy Config...                  
DEBUG     Loading Certificate (admin-kubeconfig-ca-bundle)... 
DEBUG       Loading Certificate (admin-kubeconfig-signer)... 
DEBUG     Using Certificate (admin-kubeconfig-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (aggregator)...      
DEBUG     Using Certificate (aggregator) loaded from state file 
DEBUG     Loading Certificate (aggregator-ca-bundle)... 
DEBUG       Loading Certificate (aggregator-signer)... 
DEBUG       Using Certificate (aggregator-signer) loaded from state file 
DEBUG     Using Certificate (aggregator-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (system:kube-apiserver-proxy)... 
DEBUG       Loading Certificate (aggregator-signer)... 
DEBUG     Using Certificate (system:kube-apiserver-proxy) loaded from state file 
DEBUG     Loading Certificate (aggregator-signer)... 
DEBUG     Loading Certificate (system:kube-apiserver-proxy)... 
DEBUG       Loading Certificate (aggregator)...    
DEBUG     Using Certificate (system:kube-apiserver-proxy) loaded from state file 
DEBUG     Loading Certificate (etcd-ca-bundle)...  
DEBUG     Loading Certificate (etcd-metric-ca-bundle)... 
DEBUG     Loading Certificate (etcd-metric-signer)... 
DEBUG     Loading Certificate (etcd-metric-signer-client)... 
DEBUG     Loading Certificate (etcd-signer)...     
DEBUG     Loading Certificate (etcd-client)...     
DEBUG     Loading Certificate (journal-gatewayd)... 
DEBUG       Loading Root CA...                     
DEBUG     Using Certificate (journal-gatewayd) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-lb-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-external-lb-server)... 
DEBUG       Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG       Loading Install Config...              
DEBUG     Using Certificate (kube-apiserver-external-lb-server) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-internal-lb-server)... 
DEBUG       Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG       Loading Install Config...              
DEBUG     Using Certificate (kube-apiserver-internal-lb-server) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG     Loading Certificate (kube-apiserver-localhost-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-localhost-server)... 
DEBUG       Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG     Using Certificate (kube-apiserver-localhost-server) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG     Loading Certificate (kube-apiserver-service-network-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-service-network-server)... 
DEBUG       Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG       Loading Install Config...              
DEBUG     Using Certificate (kube-apiserver-service-network-server) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG     Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-complete-client-ca-bundle)... 
DEBUG       Loading Certificate (admin-kubeconfig-ca-bundle)... 
DEBUG       Loading Certificate (kubelet-client-ca-bundle)... 
DEBUG         Loading Certificate (kubelet-signer)... 
DEBUG         Using Certificate (kubelet-signer) loaded from state file 
DEBUG       Using Certificate (kubelet-client-ca-bundle) loaded from state file 
DEBUG       Loading Certificate (kube-control-plane-ca-bundle)... 
DEBUG         Loading Certificate (kube-control-plane-signer)... 
DEBUG         Using Certificate (kube-control-plane-signer) loaded from state file 
DEBUG         Loading Certificate (kube-apiserver-lb-signer)... 
DEBUG         Loading Certificate (kube-apiserver-localhost-signer)... 
DEBUG         Loading Certificate (kube-apiserver-service-network-signer)... 
DEBUG       Using Certificate (kube-control-plane-ca-bundle) loaded from state file 
DEBUG       Loading Certificate (kube-apiserver-to-kubelet-ca-bundle)... 
DEBUG         Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG         Using Certificate (kube-apiserver-to-kubelet-signer) loaded from state file 
DEBUG       Using Certificate (kube-apiserver-to-kubelet-ca-bundle) loaded from state file 
DEBUG       Loading Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)... 
DEBUG         Loading Certificate (kubelet-bootstrap-kubeconfig-signer)... 
DEBUG       Using Certificate (kubelet-bootstrap-kubeconfig-ca-bundle) loaded from state file 
DEBUG     Using Certificate (kube-apiserver-complete-client-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-to-kubelet-ca-bundle)... 
DEBUG     Loading Certificate (kube-apiserver-to-kubelet-client)... 
DEBUG       Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG     Using Certificate (kube-apiserver-to-kubelet-client) loaded from state file 
DEBUG     Loading Certificate (kube-apiserver-to-kubelet-signer)... 
DEBUG     Loading Certificate (kube-control-plane-ca-bundle)... 
DEBUG     Loading Certificate (kube-control-plane-kube-controller-manager-client)... 
DEBUG       Loading Certificate (kube-control-plane-signer)... 
DEBUG     Using Certificate (kube-control-plane-kube-controller-manager-client) loaded from state file 
DEBUG     Loading Certificate (kube-control-plane-kube-scheduler-client)... 
DEBUG       Loading Certificate (kube-control-plane-signer)... 
DEBUG     Using Certificate (kube-control-plane-kube-scheduler-client) loaded from state file 
DEBUG     Loading Certificate (kube-control-plane-signer)... 
DEBUG     Loading Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)... 
DEBUG     Loading Certificate (kubelet-client-ca-bundle)... 
DEBUG     Loading Certificate (kubelet-client)...  
DEBUG     Loading Certificate (kubelet-signer)...  
DEBUG     Loading Certificate (kubelet-serving-ca-bundle)... 
DEBUG       Loading Certificate (kubelet-signer)... 
DEBUG     Using Certificate (kubelet-serving-ca-bundle) loaded from state file 
DEBUG     Loading Certificate (mcs)...             
DEBUG     Loading Root CA...                       
DEBUG     Loading Key Pair (service-account.pub)... 
DEBUG     Using Key Pair (service-account.pub) loaded from state file 
DEBUG     Loading Release Image Pull Spec...       
DEBUG     Using Release Image Pull Spec loaded from state file 
DEBUG     Loading Image...                         
DEBUG   Loading Bootstrap Ignition Config from both state file and target directory 
DEBUG   On-disk Bootstrap Ignition Config matches asset in state file 
DEBUG   Using Bootstrap Ignition Config loaded from state file 
DEBUG   Loading Master Ignition Config...          
DEBUG   Loading Master Machines...                 
DEBUG   Loading Worker Machines...                 
DEBUG   Fetching Cluster ID...                     
DEBUG   Reusing previously-fetched Cluster ID      
DEBUG   Fetching Install Config...                 
DEBUG   Reusing previously-fetched Install Config  
DEBUG   Fetching Image...                          
DEBUG   Reusing previously-fetched Image           
DEBUG   Fetching BootstrapImage...                 
DEBUG     Fetching Install Config...               
DEBUG     Reusing previously-fetched Install Config 
DEBUG   Generating BootstrapImage...               
DEBUG   Fetching Bootstrap Ignition Config...      
DEBUG   Reusing previously-fetched Bootstrap Ignition Config 
DEBUG   Fetching Master Ignition Config...         
DEBUG   Reusing previously-fetched Master Ignition Config 
DEBUG   Fetching Master Machines...                
DEBUG   Reusing previously-fetched Master Machines 
DEBUG   Fetching Worker Machines...                
DEBUG   Reusing previously-fetched Worker Machines 
DEBUG Generating Terraform Variables...            
INFO Consuming Master Ignition Config from target directory 
DEBUG Purging asset "Master Ignition Config" from disk 
INFO Consuming Bootstrap Ignition Config from target directory 
DEBUG Purging asset "Bootstrap Ignition Config" from disk 
INFO Consuming Worker Ignition Config from target directory 
DEBUG Purging asset "Worker Ignition Config" from disk 
DEBUG Fetching Kubeconfig Admin Client...          
DEBUG Loading Kubeconfig Admin Client...           
DEBUG   Loading Certificate (admin-kubeconfig-client)... 
DEBUG   Loading Certificate (kube-apiserver-complete-server-ca-bundle)... 
DEBUG   Loading Install Config...                  
DEBUG Loading Kubeconfig Admin Client from both state file and target directory 
DEBUG On-disk Kubeconfig Admin Client matches asset in state file 
DEBUG Using Kubeconfig Admin Client loaded from state file 
DEBUG Reusing previously-fetched Kubeconfig Admin Client 
DEBUG Fetching Kubeadmin Password...               
DEBUG Reusing previously-fetched Kubeadmin Password 
DEBUG Fetching Certificate (journal-gatewayd)...   
DEBUG Reusing previously-fetched Certificate (journal-gatewayd) 
DEBUG Fetching Metadata...                         
DEBUG Loading Metadata...                          
DEBUG   Loading Cluster ID...                      
DEBUG   Loading Install Config...                  
DEBUG Using Metadata loaded from state file        
DEBUG Reusing previously-fetched Metadata          
DEBUG Fetching Cluster...                          
DEBUG Loading Cluster...                           
DEBUG   Loading Cluster ID...                      
DEBUG   Loading Install Config...                  
DEBUG   Loading Platform Credentials Check...      
DEBUG   Loading Platform Permissions Check...      
DEBUG     Loading Install Config...                
DEBUG   Loading Terraform Variables...             
DEBUG   Loading Kubeadmin Password...              
DEBUG   Fetching Cluster ID...                     
DEBUG   Reusing previously-fetched Cluster ID      
DEBUG   Fetching Install Config...                 
DEBUG   Reusing previously-fetched Install Config  
DEBUG   Fetching Platform Credentials Check...     
DEBUG   Reusing previously-fetched Platform Credentials Check 
DEBUG   Fetching Platform Permissions Check...     
DEBUG     Fetching Install Config...               
DEBUG     Reusing previously-fetched Install Config 
DEBUG   Generating Platform Permissions Check...   
INFO Credentials loaded from the "default" profile in file "/root/.aws/credentials" 
WARNING Action not allowed with tested creds          action="ec2:CreateNetworkInterface"
WARNING Action not allowed with tested creds          action="ec2:CreateSecurityGroup"
WARNING Action not allowed with tested creds          action="ec2:CreateTags"
WARNING Action not allowed with tested creds          action="ec2:CreateVolume"
WARNING Action not allowed with tested creds          action="ec2:RunInstances"
WARNING Action not allowed with tested creds          action="ec2:CreateDhcpOptions"
WARNING Action not allowed with tested creds          action="ec2:CreateInternetGateway"
WARNING Action not allowed with tested creds          action="ec2:CreateNatGateway"
WARNING Action not allowed with tested creds          action="ec2:CreateRoute"
WARNING Action not allowed with tested creds          action="ec2:CreateRouteTable"
WARNING Action not allowed with tested creds          action="ec2:CreateSubnet"
WARNING Action not allowed with tested creds          action="ec2:CreateVpc"
WARNING Action not allowed with tested creds          action="ec2:CreateVpcEndpoint"
WARNING Tested creds not able to perform all requested actions 
FATAL failed to fetch Cluster: failed to fetch dependency of "Cluster": failed to generate asset "Platform Permissions Check": validate AWS credentials: current credentials insufficient for performing cluster installation

Comment 5 errata-xmlrpc 2020-05-13 21:55:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.